Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040069
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Othersminoralways2019-01-30 13:372019-06-14 11:22
ReporterjarmendarizView Statuspublic 
Assigned Tojarmendariz 
PriorityhighResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revision faae3d418dc
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040069: Fix errors and warnings found with ESLint (platform team code)

DescriptionBefore upgrading the Lint/Format tool used, code can be updated beforehand to make migration easier.
For this task the modules referenced in this file will be updated: https://code.openbravo.com/erp/devel/try-mods/config/file/tip/platform.json [^]
Steps To ReproduceRun ESLint over modules js code.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate feature request 0039990 closedplatform Fix Javascript errors and warnings after upgrading the linter 
related to feature request 0039983 closedjarmendariz Upgrade javascript linter and formatter 

-  Notes
(0112599)
hgbot (developer)
2019-06-12 11:29

Repository: erp/devel/pi
Changeset: faae3d418dcfc4b9ad5368f239a39a0f86053fd3
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Fri May 31 11:43:28 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/faae3d418dcfc4b9ad5368f239a39a0f86053fd3 [^]

Related to issue 40069: Fixing ESLint errors

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/toolbar/ob-action-button.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/upload/ob-upload-popup.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-utilities.js
M modules/org.openbravo.userinterface.selector/web/org.openbravo.userinterface.selector/js/ob-selector-widget.js
---
(0112601)
hgbot (developer)
2019-06-12 11:33

Repository: erp/mods/org.openbravo.activiti
Changeset: dbdc7d502ecaade0e4d13ada13ad22ba38865afc
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Wed Jun 12 11:32:46 2019 +0200
URL: http://code.openbravo.com/erp/mods/org.openbravo.activiti/rev/dbdc7d502ecaade0e4d13ada13ad22ba38865afc [^]

Related to issue 40069: Adding ignore files

---
A .eslintignore
A .prettierignore
---
(0112602)
hgbot (developer)
2019-06-12 11:33

Repository: erp/pmods/org.openbravo.client.analytics
Changeset: 1f13196b918a0a4df456a1c1d896a55e7c49d3f1
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Fri May 31 13:39:51 2019 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.client.analytics/rev/1f13196b918a0a4df456a1c1d896a55e7c49d3f1 [^]

Related to issue 40069: Fixed ESLint issues

---
M web/org.openbravo.client.analytics/js/ob-analytics-saiku-view.js
M web/org.openbravo.client.analytics/js/ob-analytics-show-saiku-report.js
---
(0112603)
hgbot (developer)
2019-06-12 11:33

Repository: erp/pmods/org.openbravo.client.analytics
Changeset: a042d5430928dc7a1440c43ee79964a9fb2e8eba
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Fri May 31 13:54:47 2019 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.client.analytics/rev/a042d5430928dc7a1440c43ee79964a9fb2e8eba [^]

Related to issue 40069: Adding ignore files

---
A .eslintignore
A .prettierignore
---
(0112604)
hgbot (developer)
2019-06-12 11:34

Repository: erp/pmods/org.openbravo.utility.monitoring.appdynamics
Changeset: 76eac9fe654c6fe015c2e5aa43e81032753c08a2
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Mon Jun 03 10:20:45 2019 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.utility.monitoring.appdynamics/rev/76eac9fe654c6fe015c2e5aa43e81032753c08a2 [^]

Related to issue 40069: This module should be ignored by the linter/formatter

---
A .jsignore
---
(0112660)
hudsonbot (developer)
2019-06-12 17:25

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6fe812567617 [^]
Maturity status: Test
(0112780)
hgbot (developer)
2019-06-14 09:43

Repository: erp/mods/org.openbravo.client.application.examples
Changeset: 85a705205f54840ce8989f88aa57cd68ecbd2a74
Author: Javier Armendáriz <javier.armendariz <at> openbravo.com>
Date: Fri Jun 14 09:42:28 2019 +0200
URL: http://code.openbravo.com/erp/mods/org.openbravo.client.application.examples/rev/85a705205f54840ce8989f88aa57cd68ecbd2a74 [^]

Related to issue 40069: Fixed ESLint issues

---
M web/org.openbravo.client.application.examples/js/example-canvas-field.js
M web/org.openbravo.client.application.examples/js/example-grid-view.js
M web/org.openbravo.client.application.examples/js/example-manual-process.js
M web/org.openbravo.client.application.examples/js/example-onchange.js
M web/org.openbravo.client.application.examples/js/example-pick-and-execute.js
M web/org.openbravo.client.application.examples/js/example-simple-view.js
M web/org.openbravo.client.application.examples/js/example-toolbar-button.js
M web/org.openbravo.client.application.examples/js/example-view-component.js
---
(0112788)
alostale (developer)
2019-06-14 11:22

reviewed

- Issue History
Date Modified Username Field Change
2019-01-30 13:37 jarmendariz New Issue
2019-01-30 13:37 jarmendariz Assigned To => Triage Finance
2019-01-30 13:37 jarmendariz Modules => Core
2019-01-30 13:37 jarmendariz Triggers an Emergency Pack => No
2019-01-30 13:38 jarmendariz Status new => scheduled
2019-01-30 13:38 jarmendariz Assigned To Triage Finance => jarmendariz
2019-01-30 13:41 jarmendariz Relationship added related to 0039983
2019-06-12 11:29 hgbot Checkin
2019-06-12 11:29 hgbot Note Added: 0112599
2019-06-12 11:33 hgbot Checkin
2019-06-12 11:33 hgbot Note Added: 0112601
2019-06-12 11:33 hgbot Checkin
2019-06-12 11:33 hgbot Note Added: 0112602
2019-06-12 11:33 hgbot Checkin
2019-06-12 11:33 hgbot Note Added: 0112603
2019-06-12 11:34 hgbot Checkin
2019-06-12 11:34 hgbot Note Added: 0112604
2019-06-12 13:21 jarmendariz Relationship added has duplicate 0039990
2019-06-12 13:23 jarmendariz Status scheduled => resolved
2019-06-12 13:23 jarmendariz Fixed in SCM revision => faae3d418dcfc4b9ad5368f239a39a0f86053fd3
2019-06-12 13:23 jarmendariz Resolution open => fixed
2019-06-12 17:25 hudsonbot Checkin
2019-06-12 17:25 hudsonbot Note Added: 0112660
2019-06-14 09:43 hgbot Checkin
2019-06-14 09:43 hgbot Note Added: 0112780
2019-06-14 11:22 alostale Review Assigned To => alostale
2019-06-14 11:22 alostale Note Added: 0112788
2019-06-14 11:22 alostale Status resolved => closed
2019-06-14 11:22 alostale Fixed in Version => 3.0PR19Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker